* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: "Comorant";
  src: url("../fonts/main/Cormorant.ttf") format("opentype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Gret";
  src: url("../fonts/main/Great.ttf") format("opentype");
  font-weight: normal;
  font-style: normal;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Comorant", sans-serif;
  overflow-x: hidden;
}

.hero-section,
.about {
  background-color: #fff;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.text-block {
  margin-right: 40px;
}

.text-title {
  color: #000000;
  font-size: 56px;
  font-family: "Comorant";
  font-weight: 700;
  text-transform: uppercase;
}
.text-subtitle {
  font-size: 32px;
  font-weight: 400;
  margin-bottom: 16px;
  font-family: "Gret";
  text-align: end;
}
.text-description {
  font-size: 28px;
  font-weight: 400;
  margin-bottom: 16px;
  font-family: "Inter";
}

.cst-btn-block {
  display: flex;
  flex-direction: column;
  gap: 24px;
  margin-top: 32px;
}

.cst_btn {
  background-color: #000;
  color: #fff;
  padding: 24px 32px;
  border-radius: 40px;
  font-size: 28px;
  font-weight: 500;
  text-transform: uppercase;
  width: 440px;
  text-align: center;
  transition: all 0.2s ease;
  text-decoration: none;
  border: 1px solid #000;
}

.cst_btn:hover {
  background-color: #fff;
  color: #000;
  border: 1px solid #000;
  text-decoration: none;
}

.cst_black_btn {
  background-color: #fff;
  color: #000;
  padding: 24px 40px;
  border-radius: 40px;
  font-size: 28px;
  font-weight: 500;
  border: 1px solid #000;
  text-transform: uppercase;
  width: 440px;
  text-align: center;
  transition: all 0.2s ease;
  text-decoration: none;
}

.cst_black_btn:hover {
  background-color: #000;
  color: #fff;
  text-decoration: none;
  border: 1px solid #fff;
}

.img-block img {
  border-radius: 24px;
}

.about-title {
  font-size: 40px;
  font-weight: 500;
  margin-bottom: 16px;
  font-family: "Comorant";
  text-align: center;
}

.about-subtitle {
  font-size: 24px;
  line-height: 30px;
  margin-bottom: 0;
  text-align: center;
}

.about-decription {
  font-size: 32px;
  font-weight: 400;
  font-family: "Inter";
  width: 80%;
  text-align: left;
  margin: 24px 0;
}

.second-decription {
  width: 100%;
  font-size: 32px;
  font-weight: 400;
  font-family: "Inter";
  padding-left: 200px;
  margin: 24px 0;
  text-align: end;
}

.advantages {
  display: flex;
  justify-content: center;
  margin: 0px 0;
  flex-wrap: wrap;
  gap: 16px 24px;
  margin-top: 40px;
}

.advantages-decription {
  border: 1px solid #000;
  padding: 16px 40px;
  border-radius: 40px;
  font-size: 28px;
  margin-bottom: 0;
  font-weight: 400;
  font-family: "Inter";
}
.templates {
  margin: 120px 0;
}

.templates-title {
  font-size: 48px;
  font-weight: 400;
  margin-bottom: 16px;
  font-family: "Comorant";
  text-align: center;
}

.templates-subtitle {
  font-size: 32px;
  font-weight: 400;
  margin-bottom: 16px;
  font-family: "Inter";
  text-align: center;
}

.templates-description {
  font-size: 28px;
  font-weight: 400;
  margin-bottom: 16px;
  font-family: "Inter";
  text-align: center;
  padding: 0 100px;
}

.img-title {
  text-align: center;
  font-size: 20px;
  font-weight: 400;
  margin-bottom: 0;
  font-family: "Inter";
}

.img-subtitle {
  font-family: "Gret";
  font-size: 32px;
  font-weight: 400;
  margin-bottom: 0;
  text-align: center;
}
.img-box {
  margin: 40px 0;
}

.img-link-box {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin: 0 auto;
  text-align: center;
  max-width: 300px;
  margin-top: -40px;
}

.img-link {
  text-decoration: none;
  padding: 12px 40px;
  background-color: #fff;
  border-radius: 40px;
  border: 1px solid #000;
  text-align: center;
  margin: 0;
  color: #000;
}

.img-link:hover {
  background-color: #000;
  border: 1px solid #000;
  color: #fff;
  text-decoration: none;
}

.buy-link {
  text-decoration: none;
  padding: 12px 40px;
  background-color: #000;
  border-radius: 40px;
  border: 1px solid #fff;
  color: #fff;
  text-align: center;
  text-decoration: none;
}
.buy-link:hover {
  background-color: #fff;
  border: 1px solid #000;
  color: #000;
  text-decoration: none;
}

.footer {
  background-color: #1b1b1b;
  color: #fff;
  padding: 24px 0;
  margin-top: 64px;
  overflow-x: hidden;
}

.social-menu ul {
  display: flex;
  justify-content: center;
  margin: 24px 0;
}

.social-menu ul li {
  list-style: none;
  margin: 0 8px;
  font-size: 20px;
  background: #ffffff;
  border-radius: 8px;
  padding: 8px;
}

.social-menu ul li .fab {
  font-size: 24px;
  line-height: 24px;
  transition: 0.3s;
  color: #000;
}

.social-menu ul li a {
  position: relative;
  display: block;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  text-align: center;
  transition: 0.6s;
}
.fa-globe {
  font-size: 24px;
  color: #000;
}

.social-menu ul li a:hover {
  transform: translate(0, -10%);
}

[data-aos] {
  will-change: transform, opacity;
}

@media (max-width: 768px) {
  body {
    overflow-x: hidden;
  }
  .hero-section,
  .about {
    background-color: #fff;
    height: auto;
  }
  .text-block {
    margin: 0;
    padding-top: 24px;
  }
  .text-title {
    font-size: 32px;
    text-align: center;
  }
  .text-description {
    font-size: 18px;
    text-align: center;
  }
  .advantages {
    margin-top: 0;
  }
  .cst_btn,
  .cst_black_btn {
    width: 100%;
    padding: 16px;
    font-size: 18px;
  }
  .second-decription {
    padding: 0;
  }
  .img-block img {
    margin-top: 40px;
  }
  .about-title {
    font-size: 24px;
    margin-top: 64px;
  }
  .about-subtitle {
    font-size: 18px;
  }
  .about-decription,
  .second-decription {
    font-size: 18px;
  }
  .templates {
    margin: 64px 0;
  }
  .advantages-decription {
    padding: 8px 12px;
    font-size: 16px;
    text-align: center;
    width: 100%;
  }
  .templates-title {
    font-size: 32px;
  }
  .templates-subtitle {
    font-size: 18px;
  }
  .templates-description {
    font-size: 18px;
    padding: 0;
  }
  .img-title {
    font-size: 19px;
    text-align: justify;
  }
  .img-box {
    margin: 24px 0;
  }
}
